Create topic
POST
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics
Path Parameters
- topic-board-idstringrequiredExampleDescription
Query Parameters
- includeAuthorizationbooleanDescription
- $selectstringDescription
Body Parameters
- bodyobjectrequired
- guidstringExampleDescription
- topic_typestringExampleDescription
- topic_statusstringExampleDescription
- titlestringrequiredExampleDescription
- prioritystringExampleDescription
- labelsstring[]Example
[ "Electrical", "Basement" ]
Description - assigned_tostringExampleDescription
- stagestringExampleDescription
- descriptionstringExampleDescription
- due_datestringExampleDescription
- bimsync_assigned_toobjectDescription
- useruser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- teamuser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- bimsync_custom_fieldscustom-field-instance[]Description
- idstringExampleDescription
- disabledbooleanDescription
- requiredbooleanDescription
- defaultValueobjectDescription
- itemBeforeIdstringDescription
- bimsync_labelsobject[]Example
[ { "id": "397t0ccc8f74619096c738de15dc6512" } ]Description- idstring
- bimsync_requesterobjectDescription
- useruser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- teamuser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- creation_datestringExampleDescription
- creation_authorstringExampleDescription
Responses
200
- topic
- guidstringExampleDescription
- server_assigned_idstringExampleDescription
- topic_typestringExampleDescription
- topic_statusstringExampleDescription
- titlestringExampleDescription
- labelsstring[]Example
[ "Electrical", "Basement" ]
Description - creation_datestringExampleDescription
- creation_authorstringExampleDescription
- modified_datestringExampleDescription
- modified_authorstringExampleDescription
- assigned_tostringExampleDescription
- stagestringExampleDescription
- descriptionstringExampleDescription
- due_datestringExampleDescription
- authorizationobjectDescription
- topic_actionsstring[]Example
[ "createComment", "createViewpoint", "update", "delete", "updateRelatedTopics", "updateDocumentReferences" ]
Description - topic_statusstring[]Example
[ "Open", "Closed" ]
Description
- bimsync_issue_numberintegerExampleDescription
- bimsync_creation_authorobjectDescription
- useruser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- importedByuser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- bimsync_viewpointsobject[]Description
- guidstringExampleDescription
- hasSnapshotbooleanExampleDescription
- bimsync_pointsobject[]Description
- xnumberExampleDescription
- ynumberExampleDescription
- znumberExampleDescription
- modelsobject[]Description
- modelRefstringExampleDescription
- revisionRefstringExampleDescription
- refstringExampleDescription
- idstringExampleDescription
- bimsync_requesterobjectDescription
- useruser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- teamuser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- bimsync_document_referencesobject[]Description
- guidstringExampleDescription
- document_guidstringExampleDescription
- bimsync_comments_sizeintegerExampleDescription
- bimsync_assigned_toobjectDescription
- useruser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- teamuser-ref
- refstringExampleDescription
- emailstringExampleDescription
- namestringExampleDescription
- bimsync_labelslabel[]Description
- idstringExampleDescription
- namestringExampleDescription
- colorstringExampleDescription
- grouplabel-group
- idstringExampleDescription
- namestringExampleDescription
- deletedbooleanDescription
- bimsync_custom_fieldscustom-field[]Description
- idstringExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
- typestring<text | integer | double | enumeration | date>ExampleDescription
- createdAtstringExampleDescription
- createdBystringExampleDescription
- archivedbooleanDescription
- dropdownItemsobject[]Description
- idstringDescription
- namestringExampleDescription
- codestringExampleDescription
- disabledbooleanDescription
curl
curl --request POST \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"title": "Topic 1"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"title": "Topic 1"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"title": "Topic 1"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics"
payload = json.dumps({
"title": "Topic 1"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"guid": "18d0273d-e15c-4924-97b3-6f47b233eebe",
"server_assigned_id": "23",
"topic_type": "Info",
"topic_status": "Open",
"title": "Topic 1",
"labels": [
""
],
"creation_date": "2024-05-08T11:28:35.317+0000",
"creation_author": "[email protected]",
"modified_date": "2024-05-08T14:29:41.199+0000",
"modified_author": "[email protected]",
"assigned_to": "[email protected]",
"stage": "Phase one",
"description": "The topic description",
"due_date": "2024-05-02T10:00:00.000+0000",
"authorization": {
"topic_actions": [
""
],
"topic_status": [
""
]
},
"bimsync_issue_number": 23,
"bimsync_creation_author": {
"user": {
"ref": "524809076a694255b989d236517a55da",
"email": "[email protected]",
"name": "John Doe"
},
"importedBy": {
"ref": "524809076a694255b989d236517a55da",
"email": "[email protected]",
"name": "John Doe"
}
},
"bimsync_viewpoints": [
{
"guid": "52959166-dbd2-44eb-81bb-74f955f30e0f",
"hasSnapshot": true
}
],
"bimsync_points": [
{
"x": 100,
"y": 100,
"z": 100,
"models": [
{
"modelRef": "11a9bb2984ee4a999875c4cd9560f319",
"revisionRef": "eed6ae36-5fe0-4f1f-89da-fba8efcf8b97",
"ref": "827f4b14-af0c-44e5-90ce-4e58fa79d7b3"
}
],
"id": "a08af3d4-edca-49ed-adf7-107a4a481188"
}
],
"bimsync_requester": {
"user": {
"ref": "524809076a694255b989d236517a55da",
"email": "[email protected]",
"name": "John Doe"
},
"team": {
"ref": "524809076a694255b989d236517a55da",
"email": "[email protected]",
"name": "John Doe"
}
},
"bimsync_document_references": [
{
"guid": "86962ff9-b5fe-4537-996f-8dc15461422c",
"document_guid": "a8644754-b646-4f67-a767-a1fef44a51c9"
}
],
"bimsync_comments_size": 3,
"bimsync_assigned_to": {
"user": {
"ref": "524809076a694255b989d236517a55da",
"email": "[email protected]",
"name": "John Doe"
},
"team": {
"ref": "524809076a694255b989d236517a55da",
"email": "[email protected]",
"name": "John Doe"
}
},
"bimsync_labels": [
{
"id": "397t0ccc8f74619096c738de15dc6512",
"name": "Label 1",
"color": "#6aa84f",
"group": {
"id": "357t0ccc8f74719096c734de18fc6512",
"name": "Group name"
},
"deleted": false
}
],
"bimsync_custom_fields": [
{
"id": "324409076a694255b589d236517a55da",
"name": "Custom field name",
"description": "Custom field description",
"type": "text",
"createdAt": "2023-03-06T11:52:45.000Z",
"createdBy": "624809076a694255b989d236517a55da",
"archived": false,
"dropdownItems": [
{
"id": "",
"name": "Dropdown item 1",
"code": "Item name",
"disabled": false
}
]
}
]
}